Table of Contents

Class: IMessage | Twisted-0.17.4/twisted/protocols/smtp.py
--- | ---

Methods |
--- | ---
connectionLost eomReceived lineReceived
| connectionLost

    connectionLost ( self )

### handle message truncated

semantics should be to discard the message

| eomReceived

    eomReceived ( self )

### handle end of message

return a deferred. The deferred should be called with either: callback(string) or errback(string)

| lineReceived

    lineReceived ( self,  line )

handle another line

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0